> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zerobot.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages

> Returns a list of messages for a given thread.



## OpenAPI

````yaml GET /v1/threads/{thread_id}/messages
openapi: 3.0.0
info:
  title: ZeroBot API
  version: 1.0.0
  description: API reference for ZeroBot
servers:
  - url: https://api.zerobot.ai
security: []
paths:
  /v1/threads/{thread_id}/messages:
    get:
      summary: List messages
      description: Returns a list of messages for a given thread.
      parameters:
        - name: thread_id
          description: The id of the thread to retrieve messages for.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  messages:
                    type: array
                    items:
                      type: object
                      description: A list of message objects.

````